#

## redo

Redo commands

### Shortcuts:

> Key macro U implements the command redo.

### Usage:

> redo [print [count]]

> > where count indicates a number of events to be redone (default 1 event), and must be a nonzero positive integer.

### Summary:

> The redo command reverses the effect of an undo command, returning the layout in a specific window to the state it was in prior to execution of the undo command.

> The print option allows stack tracing for the redo command, printing the top count events on the event stack in excruciating detail.

### Implementation Notes:

> redo is implemented as a built-in window command in magic.

### See Also:

> undo

Return to command index

Last updated: March 7, 2020 at 1:06pm